package org.amse.ak.schemebuilder.builder;

import javax.swing.tree.DefaultMutableTreeNode;

import org.sablecc.java.analysis.DepthFirstAdapter;
import org.sablecc.java.node.AMethodDeclarator;

class FindMethodVisitor extends DepthFirstAdapter {
    
    private final DefaultMutableTreeNode myRoot;
    
    public FindMethodVisitor(DefaultMutableTreeNode root) {
        myRoot = root;
    }
    
    public void inAMethodDeclarator(AMethodDeclarator node) {
        if (node.getIdentifier() != null) {
            String args;
            if (node.getFormalParameterList() == null) {
                args = " ";
            } else {
                args = node.getFormalParameterList().toString();
            }
            myRoot.add(new DefaultMutableTreeNode(node.getIdentifier().toString() 
                    + "(" + args + ") "));
        }
    }
    
}
