package org.amse.ak.schemebuilder.io.reader;

import java.io.IOException;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import org.amse.ak.schemebuilder.io.SettingsIOInterface;
import org.amse.ak.schemebuilder.view.settings.ViewSettings;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.NodeList;
import org.xml.sax.SAXException;

public class SettingsReader implements SettingsIOInterface {
    
    private final ViewSettings mySettings;
    
    private Document myDocument;
    
    public SettingsReader(ViewSettings settings) {
        mySettings = settings;
    }
    
    public void read() {
        try {
            DocumentBuilder builder = DocumentBuilderFactory.newInstance().newDocumentBuilder();
            myDocument = builder.parse(SETTINGS_FILE);
        } catch (SAXException e) {
            mySettings.setDefaultSettings();
            return;
        } catch (ParserConfigurationException e) {
            mySettings.setDefaultSettings();
            return;
        } catch (IOException e) {
            mySettings.setDefaultSettings();
            return;
        }
        Element root = myDocument.getDocumentElement();
        NodeList nodes = root.getChildNodes();
        int n = nodes.getLength();
        for (int i = 1; i < n; i += 2) {
            String property = nodes.item(i).getNodeName();
            NamedNodeMap attrs = nodes.item(i).getAttributes();
            String value = attrs.getNamedItem(VALUE).getNodeValue();
            mySettings.setProperty(property, value);
        }
    }

}
