package org.amse.ak.schemebuilder.model.impl;

import org.amse.ak.schemebuilder.model.IActionBlock;
import org.amse.ak.schemebuilder.model.IBeginBlock;
import org.amse.ak.schemebuilder.model.IBlockFactory;
import org.amse.ak.schemebuilder.model.IDoBlock;
import org.amse.ak.schemebuilder.model.IEndBlock;
import org.amse.ak.schemebuilder.model.IForBlock;
import org.amse.ak.schemebuilder.model.IIfBlock;
import org.amse.ak.schemebuilder.model.IInvocationBlock;
import org.amse.ak.schemebuilder.model.ISwitchBlock;
import org.amse.ak.schemebuilder.model.ITryBlock;
import org.amse.ak.schemebuilder.model.IWhileBlock;

public class BlockFactory implements IBlockFactory {

    public IActionBlock createActionBlock(String text) {
        return new ActionBlock(text);
    }

    public IBeginBlock createBeginBlock(String text) {
        return new BeginBlock(text);
    }

    public IDoBlock createDoBlock(String text) {
        return new DoBlock(text);
    }
    
    public IEndBlock createEndBlock(String text) {
        return new EndBlock(text);
    }

    public IForBlock createForBlock(String text) {
        return new ForBlock(text);
    }

    public IIfBlock createIfBlock(String text) {
        return new IfBlock(text);
    }
    
    public IInvocationBlock createInvocationBlock(String text) {
        return new InvocationBlock(text);
    }

    public ISwitchBlock createSwitchBlock(String text) {
        return new SwitchBlock(text);
    }
    
    public ITryBlock createTryBlock() {
        return new TryBlock();
    }
    
    public IWhileBlock createWhileBlock(String text) {
        return new WhileBlock(text);
    }

}
