package org.amse.ak.schemebuilder.model.impl;

import java.util.Collections;
import java.util.List;
import java.util.ArrayList;

import org.amse.ak.schemebuilder.model.ICase;
import org.amse.ak.schemebuilder.model.ISchemeVisitor;
import org.amse.ak.schemebuilder.model.IBlock;
import org.amse.ak.schemebuilder.model.ISwitchBlock;

class SwitchBlock extends Block implements ISwitchBlock {

    private final List<ICase> myCases;
    
    private IBlock myDefaultBlock;

    public SwitchBlock(String text) {
        super(text);
        myCases = new ArrayList<ICase>();
    }

    public List<ICase> cases() {
        return Collections.unmodifiableList(myCases);
    }
    
    public IBlock getDefaultBlock() {
        return myDefaultBlock;
    }

    public void addCase(String newCase, IBlock newBlock) {
        myCases.add(new Case(newCase, newBlock));
    }
    
    public void addCase(String newCase) {
        myCases.add(new Case(newCase));
    }

    public void setBlockForLastCase(IBlock block) {
        myCases.get(myCases.size() - 1).setBlock(block);
    }
    
    public void apply(ISchemeVisitor visitor) {
        visitor.caseSwitchBlock(this);
    }

}
