package org.amse.ak.schemebuilder.model.impl;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import org.amse.ak.schemebuilder.model.IBlock;
import org.amse.ak.schemebuilder.model.ISchemeVisitor;
import org.amse.ak.schemebuilder.model.ITryBlock;

public class TryBlock extends Block implements ITryBlock {
    
    private IBlock myFirstBlock;
    
    private final List<IBlock> myCatch;
    
    private IBlock myFinally;
    
    public TryBlock() {
        super("try");
        myCatch = new ArrayList<IBlock>();
    }

    public IBlock getFirstBlock() {
        return myFirstBlock;
    }

    public void setFirstBlock(IBlock first) {
        myFirstBlock = first;
    }
    
    public List<IBlock> getCatch() {
        return Collections.unmodifiableList(myCatch);
    }
    
    public void addCatch(IBlock catchBlock) {
        myCatch.add(catchBlock);
    }
    
    public IBlock getFinally() {
        return myFinally;
    }
    
    public void setFinally(IBlock finallyBlock) {
        myFinally = finallyBlock;
    }
    
    public void apply(ISchemeVisitor visitor) {
        visitor.caseTryBlock(this);
    }
    
}
