package org.amse.ak.schemebuilder.view.drawer;

import javax.swing.JComponent;

import java.awt.BasicStroke;
import java.awt.Graphics;
import java.awt.Graphics2D;

import org.amse.ak.schemebuilder.view.settings.ViewSettings;

@SuppressWarnings("serial")
public class ArrowDrawer extends JComponent {

    private final ViewSettings mySettings;
    
    private final int myLength = ViewSettings.ARROW_LENGTH;

    private final int myWedth = ViewSettings.ARROW_WEDTH;

    private final int myStandoff = ViewSettings.ARROW_STANDOFF;

    public ArrowDrawer(ViewSettings settings) {
        super();
        mySettings = settings;
    }
    
    public void paintComponent(Graphics g) {
        super.paintComponent(g);
        g.setColor(mySettings.parseColor(mySettings.getProperty("lineColor")));
        int lineWidth = Integer.parseInt(mySettings.getProperty("lineWidth"));
        ((Graphics2D) g).setStroke(new BasicStroke(lineWidth));
        g.drawLine(myWedth / 2, 0, myWedth / 2, myLength);
        g.drawLine(myWedth / 2, myLength, 0, myLength - myStandoff);
        g.drawLine(myWedth / 2, myLength, myWedth, myLength - myStandoff);
    }

}
