package org.amse.ak.schemebuilder.view.drawer;

import java.awt.BasicStroke;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.util.List;

import org.amse.ak.schemebuilder.view.settings.ViewSettings;

@SuppressWarnings("serial")
public class BeginEndBlockDrawer extends BlockDrawer {

    public BeginEndBlockDrawer(List<String> lines, ViewSettings settings) {
        super(lines, settings);
    }
    
    protected void paintBlock(Graphics g) {
        g.setColor(getSettings().parseColor(getSettings().getProperty("blockColor")));
        g.fillOval(getMyBorder(), getMyBorder(),
                getTextWidth() + 2 * getHorizontalStandoff(),
                getTextHeight() + 2 * getVerticalStandoff());
        g.setColor(getSettings().parseColor(getSettings().getProperty("lineColor")));
        int lineWidth = Integer.parseInt(getSettings().getProperty("lineWidth"));
        ((Graphics2D) g).setStroke(new BasicStroke(lineWidth));
        g.drawOval(0, 0, getTextWidth() + 2 * getHorizontalStandoff() + getMyBorder(),
                getTextHeight() + 2 * getVerticalStandoff() + getMyBorder());
    }

}
