package org.amse.ak.schemebuilder.view.drawer;

import java.awt.BasicStroke;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Polygon;
import java.util.List;

import org.amse.ak.schemebuilder.view.settings.ViewSettings;

@SuppressWarnings("serial")
public class ForBlockDrawer extends BlockDrawer {
    
    private final int myBreast = ViewSettings.FOR_BREAST;
    
    public ForBlockDrawer(List<String> lines, ViewSettings settings) {
        super(lines, settings);
    }
    
    protected void paintBlock(Graphics g) {
        g.setColor(getSettings().parseColor(getSettings().getProperty("lineColor")));
        int lineWidth = Integer.parseInt(getSettings().getProperty("lineWidth"));
        ((Graphics2D) g).setStroke(new BasicStroke(lineWidth));
        int width = getTextWidth() + 2 * getHorizontalStandoff() + getMyBorder();
        int height = getTextHeight() + 2 * getVerticalStandoff() + getMyBorder();
        int[] xPoints = {0, myBreast, myBreast + width, 2 * myBreast + width,
                myBreast + width, myBreast};
        int[] yPoints = {height / 2, 0, 0, height / 2, height, height};
        Polygon polygon = new Polygon(xPoints, yPoints, 6);
        g.setColor(getSettings().parseColor(getSettings().getProperty("blockColor")));
        g.fillPolygon(polygon);
        g.setColor(getSettings().parseColor(getSettings().getProperty("lineColor")));
        lineWidth = Integer.parseInt(getSettings().getProperty("lineWidth"));
        ((Graphics2D) g).setStroke(new BasicStroke(lineWidth));
        g.drawPolygon(polygon);
    }

}
