package org.amse.ak.schemebuilder.view.drawer;

import java.awt.Font;
import java.awt.Graphics;
import java.awt.font.FontRenderContext;
import java.awt.geom.Rectangle2D;

import javax.swing.JComponent;

import org.amse.ak.schemebuilder.model.IMethod;
import org.amse.ak.schemebuilder.view.settings.ViewSettings;

@SuppressWarnings("serial")
public class MethodNameDrawer extends JComponent {
    
    private final IMethod myMethod;
    
    private final ViewSettings mySettings;
    
    public MethodNameDrawer(IMethod method, ViewSettings settings) {
        super();
        myMethod = method;
        mySettings = settings;
    }
    
    public void paintComponent(Graphics g) {
        super.paintComponent(g);
        paintText(g);
    }
    
    private void paintText(Graphics g) {
        FontRenderContext frc = ViewSettings.FONT_RENDER_CONTEXT;
        g.setColor(mySettings.parseColor(mySettings.getProperty("textColor")));
        int size = Integer.parseInt(mySettings.getProperty("fontSize"));
        int style = Integer.parseInt(mySettings.getProperty("fontStyle"));
        String name = mySettings.getProperty("fontName");
        g.setFont(new Font(name, style, size));
        int depth = 0;
        {
            Rectangle2D myTextBounds = g.getFont().getStringBounds(myMethod.getClassPath(), frc);
            int textHeight = (int) Math.round(myTextBounds.getHeight());
            g.drawString(myMethod.getClassPath(), 0, textHeight);
            depth += textHeight;
        }
        {
            Rectangle2D myTextBounds = g.getFont().getStringBounds(myMethod.getName(), frc);
            int textHeight = (int) Math.round(myTextBounds.getHeight());
            g.drawString(myMethod.getName(), 0, textHeight + depth);
        }
    }

}
