package org.amse.ak.schemebuilder.view.drawer;

import javax.swing.JComponent;

import java.awt.BasicStroke;
import java.awt.Graphics;
import java.awt.Graphics2D;

import org.amse.ak.schemebuilder.view.settings.ViewSettings;

@SuppressWarnings("serial")
public class PointDrawer extends JComponent {

    private final ViewSettings mySettings;
    
    private int mySize = ViewSettings.POINT_SIZE;

    public PointDrawer(ViewSettings settings) {
        super();
        mySettings = settings;
    }
    
    public void paintComponent(Graphics g) {
        super.paintComponent(g);
        g.setColor(mySettings.parseColor(mySettings.getProperty("blockColor")));
        g.fillOval(0, 0, mySize, mySize);
        g.setColor(mySettings.parseColor(mySettings.getProperty("lineColor")));
        int lineWidth = Integer.parseInt(mySettings.getProperty("lineWidth"));
        ((Graphics2D) g).setStroke(new BasicStroke(lineWidth));
        g.drawOval(0, 0, mySize, mySize);
    }
}
