/* This file was generated by SableCC (http://www.sablecc.org/). */

package org.sablecc.java.lexer;

import java.io.*;
import org.sablecc.java.node.*;

@SuppressWarnings("nls")
public class Lexer
{
    protected Token token;
    protected State state = State.INITIAL;

    private PushbackReader in;
    private int line;
    private int pos;
    private boolean cr;
    private boolean eof;
    private final StringBuffer text = new StringBuffer();

    @SuppressWarnings("unused")
    protected void filter() throws LexerException, IOException
    {
        // Do nothing
    }

    public Lexer(@SuppressWarnings("hiding") PushbackReader in)
    {
        this.in = in;
    }
 
    public Token peek() throws LexerException, IOException
    {
        while(this.token == null)
        {
            this.token = getToken();
            filter();
        }

        return this.token;
    }

    public Token next() throws LexerException, IOException
    {
        while(this.token == null)
        {
            this.token = getToken();
            filter();
        }

        Token result = this.token;
        this.token = null;
        return result;
    }

    protected Token getToken() throws IOException, LexerException
    {
        int dfa_state = 0;

        int start_pos = this.pos;
        int start_line = this.line;

        int accept_state = -1;
        int accept_token = -1;
        int accept_length = -1;
        int accept_pos = -1;
        int accept_line = -1;

        @SuppressWarnings("hiding") int[][][] gotoTable = Lexer.gotoTable[this.state.id()];
        @SuppressWarnings("hiding") int[] accept = Lexer.accept[this.state.id()];
        this.text.setLength(0);

        while(true)
        {
            int c = getChar();

            if(c != -1)
            {
                switch(c)
                {
                case 10:
                    if(this.cr)
                    {
                        this.cr = false;
                    }
                    else
                    {
                        this.line++;
                        this.pos = 0;
                    }
                    break;
                case 13:
                    this.line++;
                    this.pos = 0;
                    this.cr = true;
                    break;
                default:
                    this.pos++;
                    this.cr = false;
                    break;
                }

                this.text.append((char) c);

                do
                {
                    int oldState = (dfa_state < -1) ? (-2 -dfa_state) : dfa_state;

                    dfa_state = -1;

                    int[][] tmp1 =  gotoTable[oldState];
                    int low = 0;
                    int high = tmp1.length - 1;

                    while(low <= high)
                    {
                        int middle = (low + high) / 2;
                        int[] tmp2 = tmp1[middle];

                        if(c < tmp2[0])
                        {
                            high = middle - 1;
                        }
                        else if(c > tmp2[1])
                        {
                            low = middle + 1;
                        }
                        else
                        {
                            dfa_state = tmp2[2];
                            break;
                        }
                    }
                }while(dfa_state < -1);
            }
            else
            {
                dfa_state = -1;
            }

            if(dfa_state >= 0)
            {
                if(accept[dfa_state] != -1)
                {
                    accept_state = dfa_state;
                    accept_token = accept[dfa_state];
                    accept_length = this.text.length();
                    accept_pos = this.pos;
                    accept_line = this.line;
                }
            }
            else
            {
                if(accept_state != -1)
                {
                    switch(accept_token)
                    {
                    case 0:
                        {
                            @SuppressWarnings("hiding") Token token = new0(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 1:
                        {
                            @SuppressWarnings("hiding") Token token = new1(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 2:
                        {
                            @SuppressWarnings("hiding") Token token = new2(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 3:
                        {
                            @SuppressWarnings("hiding") Token token = new3(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 4:
                        {
                            @SuppressWarnings("hiding") Token token = new4(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 5:
                        {
                            @SuppressWarnings("hiding") Token token = new5(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 6:
                        {
                            @SuppressWarnings("hiding") Token token = new6(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 7:
                        {
                            @SuppressWarnings("hiding") Token token = new7(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 8:
                        {
                            @SuppressWarnings("hiding") Token token = new8(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 9:
                        {
                            @SuppressWarnings("hiding") Token token = new9(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 10:
                        {
                            @SuppressWarnings("hiding") Token token = new10(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 11:
                        {
                            @SuppressWarnings("hiding") Token token = new11(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 12:
                        {
                            @SuppressWarnings("hiding") Token token = new12(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 13:
                        {
                            @SuppressWarnings("hiding") Token token = new13(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 14:
                        {
                            @SuppressWarnings("hiding") Token token = new14(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 15:
                        {
                            @SuppressWarnings("hiding") Token token = new15(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 16:
                        {
                            @SuppressWarnings("hiding") Token token = new16(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 17:
                        {
                            @SuppressWarnings("hiding") Token token = new17(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 18:
                        {
                            @SuppressWarnings("hiding") Token token = new18(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 19:
                        {
                            @SuppressWarnings("hiding") Token token = new19(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 20:
                        {
                            @SuppressWarnings("hiding") Token token = new20(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 21:
                        {
                            @SuppressWarnings("hiding") Token token = new21(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 22:
                        {
                            @SuppressWarnings("hiding") Token token = new22(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 23:
                        {
                            @SuppressWarnings("hiding") Token token = new23(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 24:
                        {
                            @SuppressWarnings("hiding") Token token = new24(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 25:
                        {
                            @SuppressWarnings("hiding") Token token = new25(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 26:
                        {
                            @SuppressWarnings("hiding") Token token = new26(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 27:
                        {
                            @SuppressWarnings("hiding") Token token = new27(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 28:
                        {
                            @SuppressWarnings("hiding") Token token = new28(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 29:
                        {
                            @SuppressWarnings("hiding") Token token = new29(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 30:
                        {
                            @SuppressWarnings("hiding") Token token = new30(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 31:
                        {
                            @SuppressWarnings("hiding") Token token = new31(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 32:
                        {
                            @SuppressWarnings("hiding") Token token = new32(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 33:
                        {
                            @SuppressWarnings("hiding") Token token = new33(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 34:
                        {
                            @SuppressWarnings("hiding") Token token = new34(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 35:
                        {
                            @SuppressWarnings("hiding") Token token = new35(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 36:
                        {
                            @SuppressWarnings("hiding") Token token = new36(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 37:
                        {
                            @SuppressWarnings("hiding") Token token = new37(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 38:
                        {
                            @SuppressWarnings("hiding") Token token = new38(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 39:
                        {
                            @SuppressWarnings("hiding") Token token = new39(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 40:
                        {
                            @SuppressWarnings("hiding") Token token = new40(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 41:
                        {
                            @SuppressWarnings("hiding") Token token = new41(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 42:
                        {
                            @SuppressWarnings("hiding") Token token = new42(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 43:
                        {
                            @SuppressWarnings("hiding") Token token = new43(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 44:
                        {
                            @SuppressWarnings("hiding") Token token = new44(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 45:
                        {
                            @SuppressWarnings("hiding") Token token = new45(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 46:
                        {
                            @SuppressWarnings("hiding") Token token = new46(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 47:
                        {
                            @SuppressWarnings("hiding") Token token = new47(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 48:
                        {
                            @SuppressWarnings("hiding") Token token = new48(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 49:
                        {
                            @SuppressWarnings("hiding") Token token = new49(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 50:
                        {
                            @SuppressWarnings("hiding") Token token = new50(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 51:
                        {
                            @SuppressWarnings("hiding") Token token = new51(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 52:
                        {
                            @SuppressWarnings("hiding") Token token = new52(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 53:
                        {
                            @SuppressWarnings("hiding") Token token = new53(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 54:
                        {
                            @SuppressWarnings("hiding") Token token = new54(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 55:
                        {
                            @SuppressWarnings("hiding") Token token = new55(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 56:
                        {
                            @SuppressWarnings("hiding") Token token = new56(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 57:
                        {
                            @SuppressWarnings("hiding") Token token = new57(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 58:
                        {
                            @SuppressWarnings("hiding") Token token = new58(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 59:
                        {
                            @SuppressWarnings("hiding") Token token = new59(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 60:
                        {
                            @SuppressWarnings("hiding") Token token = new60(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 61:
                        {
                            @SuppressWarnings("hiding") Token token = new61(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 62:
                        {
                            @SuppressWarnings("hiding") Token token = new62(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 63:
                        {
                            @SuppressWarnings("hiding") Token token = new63(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 64:
                        {
                            @SuppressWarnings("hiding") Token token = new64(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 65:
                        {
                            @SuppressWarnings("hiding") Token token = new65(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 66:
                        {
                            @SuppressWarnings("hiding") Token token = new66(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 67:
                        {
                            @SuppressWarnings("hiding") Token token = new67(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 68:
                        {
                            @SuppressWarnings("hiding") Token token = new68(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 69:
                        {
                            @SuppressWarnings("hiding") Token token = new69(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 70:
                        {
                            @SuppressWarnings("hiding") Token token = new70(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 71:
                        {
                            @SuppressWarnings("hiding") Token token = new71(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 72:
                        {
                            @SuppressWarnings("hiding") Token token = new72(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 73:
                        {
                            @SuppressWarnings("hiding") Token token = new73(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 74:
                        {
                            @SuppressWarnings("hiding") Token token = new74(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 75:
                        {
                            @SuppressWarnings("hiding") Token token = new75(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 76:
                        {
                            @SuppressWarnings("hiding") Token token = new76(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 77:
                        {
                            @SuppressWarnings("hiding") Token token = new77(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 78:
                        {
                            @SuppressWarnings("hiding") Token token = new78(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 79:
                        {
                            @SuppressWarnings("hiding") Token token = new79(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 80:
                        {
                            @SuppressWarnings("hiding") Token token = new80(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 81:
                        {
                            @SuppressWarnings("hiding") Token token = new81(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 82:
                        {
                            @SuppressWarnings("hiding") Token token = new82(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 83:
                        {
                            @SuppressWarnings("hiding") Token token = new83(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 84:
                        {
                            @SuppressWarnings("hiding") Token token = new84(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 85:
                        {
                            @SuppressWarnings("hiding") Token token = new85(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 86:
                        {
                            @SuppressWarnings("hiding") Token token = new86(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 87:
                        {
                            @SuppressWarnings("hiding") Token token = new87(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 88:
                        {
                            @SuppressWarnings("hiding") Token token = new88(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 89:
                        {
                            @SuppressWarnings("hiding") Token token = new89(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 90:
                        {
                            @SuppressWarnings("hiding") Token token = new90(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 91:
                        {
                            @SuppressWarnings("hiding") Token token = new91(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 92:
                        {
                            @SuppressWarnings("hiding") Token token = new92(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 93:
                        {
                            @SuppressWarnings("hiding") Token token = new93(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 94:
                        {
                            @SuppressWarnings("hiding") Token token = new94(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 95:
                        {
                            @SuppressWarnings("hiding") Token token = new95(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 96:
                        {
                            @SuppressWarnings("hiding") Token token = new96(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 97:
                        {
                            @SuppressWarnings("hiding") Token token = new97(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 98:
                        {
                            @SuppressWarnings("hiding") Token token = new98(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 99:
                        {
                            @SuppressWarnings("hiding") Token token = new99(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 100:
                        {
                            @SuppressWarnings("hiding") Token token = new100(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 101:
                        {
                            @SuppressWarnings("hiding") Token token = new101(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 102:
                        {
                            @SuppressWarnings("hiding") Token token = new102(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 103:
                        {
                            @SuppressWarnings("hiding") Token token = new103(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 104:
                        {
                            @SuppressWarnings("hiding") Token token = new104(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 105:
                        {
                            @SuppressWarnings("hiding") Token token = new105(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 106:
                        {
                            @SuppressWarnings("hiding") Token token = new106(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 107:
                        {
                            @SuppressWarnings("hiding") Token token = new107(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 108:
                        {
                            @SuppressWarnings("hiding") Token token = new108(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 109:
                        {
                            @SuppressWarnings("hiding") Token token = new109(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 110:
                        {
                            @SuppressWarnings("hiding") Token token = new110(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 111:
                        {
                            @SuppressWarnings("hiding") Token token = new111(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 112:
                        {
                            @SuppressWarnings("hiding") Token token = new112(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    }
                }
                else
                {
                    if(this.text.length() > 0)
                    {
                        throw new LexerException(
                            "[" + (start_line + 1) + "," + (start_pos + 1) + "]" +
                            " Unknown token: " + this.text);
                    }

                    @SuppressWarnings("hiding") EOF token = new EOF(
                        start_line + 1,
                        start_pos + 1);
                    return token;
                }
            }
        }
    }

    Token new0(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TAt(line, pos); }
    Token new1(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TComma(line, pos); }
    Token new2(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TDot(line, pos); }
    Token new3(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TDotDotDot(line, pos); }
    Token new4(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TLBkt(line, pos); }
    Token new5(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TLBrc(line, pos); }
    Token new6(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TLPar(line, pos); }
    Token new7(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TRBkt(line, pos); }
    Token new8(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TRBrc(line, pos); }
    Token new9(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TRPar(line, pos); }
    Token new10(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TSemi(line, pos); }
    Token new11(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TAmp(line, pos); }
    Token new12(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TAmpAmp(line, pos); }
    Token new13(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TAmpAssign(line, pos); }
    Token new14(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TAssign(line, pos); }
    Token new15(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TBar(line, pos); }
    Token new16(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TBarAssign(line, pos); }
    Token new17(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TBarBar(line, pos); }
    Token new18(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TCaret(line, pos); }
    Token new19(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TCaretAssign(line, pos); }
    Token new20(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TColon(line, pos); }
    Token new21(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TEmark(line, pos); }
    Token new22(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TEq(line, pos); }
    Token new23(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TGt(line, pos); }
    Token new24(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TGteq(line, pos); }
    Token new25(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TLt(line, pos); }
    Token new26(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TLteq(line, pos); }
    Token new27(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TMinus(line, pos); }
    Token new28(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TMinusAssign(line, pos); }
    Token new29(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TMinusMinus(line, pos); }
    Token new30(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TNeq(line, pos); }
    Token new31(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TPercent(line, pos); }
    Token new32(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TPercentAssign(line, pos); }
    Token new33(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TPlus(line, pos); }
    Token new34(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TPlusAssign(line, pos); }
    Token new35(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TPlusPlus(line, pos); }
    Token new36(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TQmark(line, pos); }
    Token new37(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TShl(line, pos); }
    Token new38(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TShlAssign(line, pos); }
    Token new39(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TShr(line, pos); }
    Token new40(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TShrAssign(line, pos); }
    Token new41(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TSlash(line, pos); }
    Token new42(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TSlashAssign(line, pos); }
    Token new43(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TStar(line, pos); }
    Token new44(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TStarAssign(line, pos); }
    Token new45(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TTilde(line, pos); }
    Token new46(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TUshr(line, pos); }
    Token new47(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TUshrAssign(line, pos); }
    Token new48(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TAbstract(line, pos); }
    Token new49(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TAssert(line, pos); }
    Token new50(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TBoolean(line, pos); }
    Token new51(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TBreak(line, pos); }
    Token new52(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TByte(line, pos); }
    Token new53(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TCase(line, pos); }
    Token new54(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TCatch(line, pos); }
    Token new55(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TChar(line, pos); }
    Token new56(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TClassToken(line, pos); }
    Token new57(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TConst(line, pos); }
    Token new58(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TContinue(line, pos); }
    Token new59(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TDefault(line, pos); }
    Token new60(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TDo(line, pos); }
    Token new61(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TDouble(line, pos); }
    Token new62(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TElse(line, pos); }
    Token new63(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TEnum(line, pos); }
    Token new64(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TExtends(line, pos); }
    Token new65(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TFalse(line, pos); }
    Token new66(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TFinal(line, pos); }
    Token new67(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TFinallyToken(line, pos); }
    Token new68(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TFloat(line, pos); }
    Token new69(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TFor(line, pos); }
    Token new70(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TGoto(line, pos); }
    Token new71(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TIf(line, pos); }
    Token new72(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TImplements(line, pos); }
    Token new73(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TImport(line, pos); }
    Token new74(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TInstanceof(line, pos); }
    Token new75(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TInt(line, pos); }
    Token new76(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TInterface(line, pos); }
    Token new77(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TLong(line, pos); }
    Token new78(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TNative(line, pos); }
    Token new79(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TNew(line, pos); }
    Token new80(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TPackage(line, pos); }
    Token new81(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TPrivate(line, pos); }
    Token new82(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TProtected(line, pos); }
    Token new83(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TPublic(line, pos); }
    Token new84(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TReturn(line, pos); }
    Token new85(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TShort(line, pos); }
    Token new86(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TStatic(line, pos); }
    Token new87(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TStrictfp(line, pos); }
    Token new88(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TSuperToken(line, pos); }
    Token new89(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TSwitch(line, pos); }
    Token new90(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TSynchronized(line, pos); }
    Token new91(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TThis(line, pos); }
    Token new92(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TThrow(line, pos); }
    Token new93(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TThrowsToken(line, pos); }
    Token new94(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TTransient(line, pos); }
    Token new95(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TTrue(line, pos); }
    Token new96(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TTry(line, pos); }
    Token new97(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TVoid(line, pos); }
    Token new98(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TVolatile(line, pos); }
    Token new99(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TWhile(line, pos); }
    Token new100(@SuppressWarnings("hiding") String text, @SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TCharacterLiteral(text, line, pos); }
    Token new101(@SuppressWarnings("hiding") String text, @SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TFloatingPointLiteral(text, line, pos); }
    Token new102(@SuppressWarnings("hiding") String text, @SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TIntegerLiteral(text, line, pos); }
    Token new103(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TNullLiteral(line, pos); }
    Token new104(@SuppressWarnings("hiding") String text, @SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TStringLiteral(text, line, pos); }
    Token new105(@SuppressWarnings("hiding") String text, @SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TIdentifier(text, line, pos); }
    Token new106(@SuppressWarnings("hiding") String text, @SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TWhiteSpace(text, line, pos); }
    Token new107(@SuppressWarnings("hiding") String text, @SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TTraditionalComment(text, line, pos); }
    Token new108(@SuppressWarnings("hiding") String text, @SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TDocumentationComment(text, line, pos); }
    Token new109(@SuppressWarnings("hiding") String text, @SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TEndOfLineComment(text, line, pos); }
    Token new110(@SuppressWarnings("hiding") String text, @SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TBegin(text, line, pos); }
    Token new111(@SuppressWarnings("hiding") String text, @SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TEnd(text, line, pos); }
    Token new112(@SuppressWarnings("hiding") int line, @SuppressWarnings("hiding") int pos) { return new TTag(line, pos); }

    private int getChar() throws IOException
    {
        if(this.eof)
        {
            return -1;
        }

        int result = this.in.read();

        if(result == -1)
        {
            this.eof = true;
        }

        return result;
    }

    private void pushBack(int acceptLength) throws IOException
    {
        int length = this.text.length();
        for(int i = length - 1; i >= acceptLength; i--)
        {
            this.eof = false;

            this.in.unread(this.text.charAt(i));
        }
    }

    protected void unread(@SuppressWarnings("hiding") Token token) throws IOException
    {
        @SuppressWarnings("hiding") String text = token.getText();
        int length = text.length();

        for(int i = length - 1; i >= 0; i--)
        {
            this.eof = false;

            this.in.unread(text.charAt(i));
        }

        this.pos = token.getPos() - 1;
        this.line = token.getLine() - 1;
    }

    private String getText(int acceptLength)
    {
        StringBuffer s = new StringBuffer(acceptLength);
        for(int i = 0; i < acceptLength; i++)
        {
            s.append(this.text.charAt(i));
        }

        return s.toString();
    }

    private static int[][][][] gotoTable;
/*  {
        { // INITIAL
            {{9, 9, 1}, {10, 10, 2}, {12, 12, 3}, {13, 13, 4}, {32, 32, 5}, {33, 33, 6}, {34, 34, 7}, {36, 36, 8}, {37, 37, 9}, {38, 38, 10}, {39, 39, 11}, {40, 40, 12}, {41, 41, 13}, {42, 42, 14}, {43, 43, 15}, {44, 44, 16}, {45, 45, 17}, {46, 46, 18}, {47, 47, 19}, {48, 48, 20}, {49, 57, 21}, {58, 58, 22}, {59, 59, 23}, {60, 60, 24}, {61, 61, 25}, {62, 62, 26}, {63, 63, 27}, {64, 64, 28}, {65, 90, 29}, {91, 91, 30}, {93, 93, 31}, {94, 94, 32}, {95, 95, 33}, {97, 97, 34}, {98, 98, 35}, {99, 99, 36}, {100, 100, 37}, {101, 101, 38}, {102, 102, 39}, {103, 103, 40}, {104, 104, 41}, {105, 105, 42}, {106, 107, 41}, {108, 108, 43}, {109, 109, 41}, {110, 110, 44}, {111, 111, 41}, {112, 112, 45}, {113, 113, 41}, {114, 114, 46}, {115, 115, 47}, {116, 116, 48}, {117, 117, 41}, {118, 118, 49}, {119, 119, 50}, {120, 122, 41}, {123, 123, 51}, {124, 124, 52}, {125, 125, 53}, {126, 126, 54}, {170, 170, 55}, {181, 181, 56}, {186, 186, 57}, {192, 214, 58}, {216, 246, 59}, {248, 501, 60}, {506, 535, 61}, {592, 680, 62}, {688, 696, 63}, {699, 705, 64}, {720, 721, 65}, {736, 740, 66}, {890, 890, 67}, {902, 902, 68}, {904, 906, 69}, {908, 908, 70}, {910, 929, 71}, {931, 974, 72}, {976, 982, 73}, {986, 986, 74}, {988, 988, 75}, {990, 990, 76}, {992, 992, 77}, {994, 1011, 78}, {1025, 1036, 79}, {1038, 1103, 80}, {1105, 1116, 81}, {1118, 1153, 82}, {1168, 1220, 83}, {1223, 1224, 84}, {1227, 1228, 85}, {1232, 1259, 86}, {1262, 1269, 87}, {1272, 1273, 88}, {1329, 1366, 89}, {1369, 1369, 90}, {1377, 1415, 91}, {1488, 1514, 92}, {1520, 1522, 93}, {1569, 1594, 94}, {1600, 1610, 95}, {1649, 1719, 96}, {1722, 1726, 97}, {1728, 1742, 98}, {1744, 1747, 99}, {1749, 1749, 100}, {1765, 1766, 101}, {2309, 2361, 102}, {2365, 2365, 103}, {2392, 2401, 104}, {2437, 2444, 105}, {2447, 2448, 106}, {2451, 2472, 107}, {2474, 2480, 108}, {2482, 2482, 109}, {2486, 2489, 110}, {2524, 2525, 111}, {2527, 2529, 112}, {2544, 2545, 113}, {2565, 2570, 114}, {2575, 2576, 115}, {2579, 2600, 116}, {2602, 2608, 117}, {2610, 2611, 118}, {2613, 2614, 119}, {2616, 2617, 120}, {2649, 2652, 121}, {2654, 2654, 122}, {2674, 2676, 123}, {2693, 2699, 124}, {2701, 2701, 125}, {2703, 2705, 126}, {2707, 2728, 127}, {2730, 2736, 128}, {2738, 2739, 129}, {2741, 2745, 130}, {2749, 2749, 131}, {2784, 2784, 132}, {2821, 2828, 133}, {2831, 2832, 134}, {2835, 2856, 135}, {2858, 2864, 136}, {2866, 2867, 137}, {2870, 2873, 138}, {2877, 2877, 139}, {2908, 2909, 140}, {2911, 2913, 141}, {2949, 2954, 142}, {2958, 2960, 143}, {2962, 2965, 144}, {2969, 2970, 145}, {2972, 2972, 146}, {2974, 2975, 147}, {2979, 2980, 148}, {2984, 2986, 149}, {2990, 2997, 150}, {2999, 3001, 151}, {3077, 3084, 152}, {3086, 3088, 153}, {3090, 3112, 154}, {3114, 3123, 155}, {3125, 3129, 156}, {3168, 3169, 157}, {3205, 3212, 158}, {3214, 3216, 159}, {3218, 3240, 160}, {3242, 3251, 161}, {3253, 3257, 162}, {3294, 3294, 163}, {3296, 3297, 164}, {3333, 3340, 165}, {3342, 3344, 166}, {3346, 3368, 167}, {3370, 3385, 168}, {3424, 3425, 169}, {3585, 3630, 170}, {3632, 3632, 171}, {3634, 3635, 172}, {3648, 3654, 173}, {3713, 3714, 174}, {3716, 3716, 175}, {3719, 3720, 176}, {3722, 3722, 177}, {3725, 3725, 178}, {3732, 3735, 179}, {3737, 3743, 180}, {3745, 3747, 181}, {3749, 3749, 182}, {3751, 3751, 183}, {3754, 3755, 184}, {3757, 3758, 185}, {3760, 3760, 186}, {3762, 3763, 187}, {3773, 3773, 188}, {3776, 3780, 189}, {3782, 3782, 190}, {3804, 3805, 191}, {3904, 3911, 192}, {3913, 3945, 193}, {4256, 4293, 194}, {4304, 4342, 195}, {4352, 4441, 196}, {4447, 4514, 197}, {4520, 4601, 198}, {7680, 7835, 199}, {7840, 7929, 200}, {7936, 7957, 201}, {7960, 7965, 202}, {7968, 8005, 203}, {8008, 8013, 204}, {8016, 8023, 205}, {8025, 8025, 206}, {8027, 8027, 207}, {8029, 8029, 208}, {8031, 8061, 209}, {8064, 8116, 210}, {8118, 8124, 211}, {8126, 8126, 212}, {8130, 8132, 213}, {8134, 8140, 214}, {8144, 8147, 215}, {8150, 8155, 216}, {8160, 8172, 217}, {8178, 8180, 218}, {8182, 8188, 219}, {8319, 8319, 220}, {8450, 8450, 221}, {8455, 8455, 222}, {8458, 8467, 223}, {8469, 8469, 224}, {8472, 8477, 225}, {8484, 8484, 226}, {8486, 8486, 227}, {8488, 8488, 228}, {8490, 8497, 229}, {8499, 8504, 230}, {12293, 12293, 231}, {12337, 12341, 232}, {12353, 12436, 233}, {12443, 12446, 234}, {12449, 12538, 235}, {12540, 12542, 236}, {12549, 12588, 237}, {12593, 12686, 238}, {19968, 40869, 239}, {44032, 55203, 240}, {63744, 64045, 241}, {64256, 64262, 242}, {64275, 64279, 243}, {64287, 64296, 244}, {64298, 64310, 245}, {64312, 64316, 246}, {64318, 64318, 247}, {64320, 64321, 248}, {64323, 64324, 249}, {64326, 64433, 250}, {64467, 64829, 251}, {64848, 64911, 252}, {64914, 64967, 253}, {65008, 65019, 254}, {65136, 65138, 255}, {65140, 65140, 256}, {65142, 65276, 257}, {65313, 65338, 258}, {65345, 65370, 259}, {65382, 65470, 260}, {65474, 65479, 261}, {65482, 65487, 262}, {65490, 65495, 263}, {65498, 65500, 264}, },
            {{9, 32, -2}, },
            {{9, 32, -2}, },
            {{9, 32, -2}, },
            {{9, 9, 1}, {10, 10, 265}, {12, 32, -2}, },
            {{9, 32, -2}, },
            {{61, 61, 266}, },
            {{0, 9, 267}, {11, 12, 267}, {14, 33, 267}, {34, 34, 268}, {35, 91, 267}, {92, 92, 269}, {93, 65535, 267}, },
            {{36, 36, 270}, {48, 57, 271}, {65, 90, 272}, {95, 95, 273}, {97, 122, 274}, {170, 170, 275}, {181, 181, 276}, {186, 186, 277}, {192, 214, 278}, {216, 246, 279}, {248, 501, 280}, {506, 535, 281}, {592, 680, 282}, {688, 696, 283}, {699, 705, 284}, {720, 721, 285}, {736, 740, 286}, {890, 890, 287}, {902, 902, 288}, {904, 906, 289}, {908, 908, 290}, {910, 929, 291}, {931, 974, 292}, {976, 982, 293}, {986, 986, 294}, {988, 988, 295}, {990, 990, 296}, {992, 992, 297}, {994, 1011, 298}, {1025, 1036, 299}, {1038, 1103, 300}, {1105, 1116, 301}, {1118, 1153, 302}, {1168, 1220, 303}, {1223, 1224, 304}, {1227, 1228, 305}, {1232, 1259, 306}, {1262, 1269, 307}, {1272, 1273, 308}, {1329, 1366, 309}, {1369, 1369, 310}, {1377, 1415, 311}, {1488, 1514, 312}, {1520, 1522, 313}, {1569, 1594, 314}, {1600, 1610, 315}, {1632, 1641, 316}, {1649, 1719, 317}, {1722, 1726, 318}, {1728, 1742, 319}, {1744, 1747, 320}, {1749, 1749, 321}, {1765, 1766, 322}, {1776, 1785, 323}, {2309, 2361, 324}, {2365, 2365, 325}, {2392, 2401, 326}, {2406, 2415, 327}, {2437, 2444, 328}, {2447, 2448, 329}, {2451, 2472, 330}, {2474, 2480, 331}, {2482, 2482, 332}, {2486, 2489, 333}, {2524, 2525, 334}, {2527, 2529, 335}, {2534, 2543, 336}, {2544, 2545, 337}, {2565, 2570, 338}, {2575, 2576, 339}, {2579, 2600, 340}, {2602, 2608, 341}, {2610, 2611, 342}, {2613, 2614, 343}, {2616, 2617, 344}, {2649, 2652, 345}, {2654, 2654, 346}, {2662, 2671, 347}, {2674, 2676, 348}, {2693, 2699, 349}, {2701, 2701, 350}, {2703, 2705, 351}, {2707, 2728, 352}, {2730, 2736, 353}, {2738, 2739, 354}, {2741, 2745, 355}, {2749, 2749, 356}, {2784, 2784, 357}, {2790, 2799, 358}, {2821, 2828, 359}, {2831, 2832, 360}, {2835, 2856, 361}, {2858, 2864, 362}, {2866, 2867, 363}, {2870, 2873, 364}, {2877, 2877, 365}, {2908, 2909, 366}, {2911, 2913, 367}, {2918, 2927, 368}, {2949, 2954, 369}, {2958, 2960, 370}, {2962, 2965, 371}, {2969, 2970, 372}, {2972, 2972, 373}, {2974, 2975, 374}, {2979, 2980, 375}, {2984, 2986, 376}, {2990, 2997, 377}, {2999, 3001, 378}, {3047, 3055, 379}, {3077, 3084, 380}, {3086, 3088, 381}, {3090, 3112, 382}, {3114, 3123, 383}, {3125, 3129, 384}, {3168, 3169, 385}, {3174, 3183, 386}, {3205, 3212, 387}, {3214, 3216, 388}, {3218, 3240, 389}, {3242, 3251, 390}, {3253, 3257, 391}, {3294, 3294, 392}, {3296, 3297, 393}, {3302, 3311, 394}, {3333, 3340, 395}, {3342, 3344, 396}, {3346, 3368, 397}, {3370, 3385, 398}, {3424, 3425, 399}, {3430, 3439, 400}, {3585, 3630, 401}, {3632, 3632, 402}, {3634, 3635, 403}, {3648, 3654, 404}, {3664, 3673, 405}, {3713, 3714, 406}, {3716, 3716, 407}, {3719, 3720, 408}, {3722, 3722, 409}, {3725, 3725, 410}, {3732, 3735, 411}, {3737, 3743, 412}, {3745, 3747, 413}, {3749, 3749, 414}, {3751, 3751, 415}, {3754, 3755, 416}, {3757, 3758, 417}, {3760, 3760, 418}, {3762, 3763, 419}, {3773, 3773, 420}, {3776, 3780, 421}, {3782, 3782, 422}, {3792, 3801, 423}, {3804, 3805, 424}, {3872, 3881, 425}, {3904, 3911, 426}, {3913, 3945, 427}, {4256, 4293, 428}, {4304, 4342, 429}, {4352, 4441, 430}, {4447, 4514, 431}, {4520, 4601, 432}, {7680, 7835, 433}, {7840, 7929, 434}, {7936, 7957, 435}, {7960, 7965, 436}, {7968, 8005, 437}, {8008, 8013, 438}, {8016, 8023, 439}, {8025, 8025, 440}, {8027, 8027, 441}, {8029, 8029, 442}, {8031, 8061, 443}, {8064, 8116, 444}, {8118, 8124, 445}, {8126, 8126, 446}, {8130, 8132, 447}, {8134, 8140, 448}, {8144, 8147, 449}, {8150, 8155, 450}, {8160, 8172, 451}, {8178, 8180, 452}, {8182, 8188, 453}, {8319, 8319, 454}, {8450, 8450, 455}, {8455, 8455, 456}, {8458, 8467, 457}, {8469, 8469, 458}, {8472, 8477, 459}, {8484, 8484, 460}, {8486, 8486, 461}, {8488, 8488, 462}, {8490, 8497, 463}, {8499, 8504, 464}, {12293, 12293, 465}, {12337, 12341, 466}, {12353, 12436, 467}, {12443, 12446, 468}, {12449, 12538, 469}, {12540, 12542, 470}, {12549, 12588, 471}, {12593, 12686, 472}, {19968, 40869, 473}, {44032, 55203, 474}, {63744, 64045, 475}, {64256, 64262, 476}, {64275, 64279, 477}, {64287, 64296, 478}, {64298, 64310, 479}, {64312, 64316, 480}, {64318, 64318, 481}, {64320, 64321, 482}, {64323, 64324, 483}, {64326, 64433, 484}, {64467, 64829, 485}, {64848, 64911, 486}, {64914, 64967, 487}, {65008, 65019, 488}, {65136, 65138, 489}, {65140, 65140, 490}, {65142, 65276, 491}, {65296, 65305, 492}, {65313, 65338, 493}, {65345, 65370, 494}, {65382, 65470, 495}, {65474, 65479, 496}, {65482, 65487, 497}, {65490, 65495, 498}, {65498, 65500, 499}, },
            {{61, 61, 500}, },
            {{38, 38, 501}, {61, 61, 502}, },
            {{0, 9, 503}, {11, 12, 503}, {14, 38, 503}, {40, 91, 503}, {92, 92, 504}, {93, 65535, 503}, },
            {},
            {},
            {{61, 61, 505}, },
            {{43, 43, 506}, {61, 61, 507}, },
            {},
            {{45, 45, 508}, {61, 61, 509}, },
            {{46, 46, 510}, {48, 57, 511}, },
            {{42, 42, 512}, {47, 47, 513}, {61, 61, 514}, },
            {{46, 46, 515}, {48, 55, 516}, {56, 57, 517}, {68, 68, 518}, {69, 69, 519}, {70, 70, 520}, {76, 76, 521}, {88, 88, 522}, {100, 100, 523}, {101, 101, 524}, {102, 102, 525}, {108, 108, 526}, {120, 120, 527}, },
            {{46, 46, 515}, {48, 57, 528}, {68, 76, -22}, {100, 108, -22}, },
            {},
            {},
            {{60, 60, 529}, {61, 61, 530}, },
            {{61, 61, 531}, },
            {{61, 61, 532}, {62, 62, 533}, },
            {},
            {},
            {{36, 65500, -10}, },
            {},
            {},
            {{61, 61, 534}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 274}, {98, 98, 535}, {99, 114, 274}, {115, 115, 536}, {116, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 100, 274}, {101, 101, 537}, {102, 110, 274}, {111, 111, 538}, {112, 113, 274}, {114, 114, 539}, {115, 120, 274}, {121, 121, 540}, {122, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 541}, {98, 103, 274}, {104, 104, 542}, {105, 107, 274}, {108, 108, 543}, {109, 110, 274}, {111, 111, 544}, {112, 122, 274}, {170, 65500, -10}, },
            {{36, 100, -37}, {101, 101, 545}, {102, 110, 274}, {111, 111, 546}, {112, 65500, -38}, },
            {{36, 95, -10}, {97, 107, 274}, {108, 108, 547}, {109, 109, 274}, {110, 110, 548}, {111, 119, 274}, {120, 120, 549}, {121, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 550}, {98, 104, 274}, {105, 105, 551}, {106, 107, 274}, {108, 108, 552}, {109, 110, 274}, {111, 111, 553}, {112, 65500, -38}, },
            {{36, 95, -10}, {97, 110, 274}, {111, 111, 554}, {112, 65500, -38}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 101, 274}, {102, 102, 555}, {103, 108, 274}, {109, 109, 556}, {110, 110, 557}, {111, 122, 274}, {170, 65500, -10}, },
            {{36, 110, -42}, {111, 111, 558}, {112, 65500, -38}, },
            {{36, 95, -10}, {97, 97, 559}, {98, 100, 274}, {101, 101, 560}, {102, 116, 274}, {117, 117, 561}, {118, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 562}, {98, 113, 274}, {114, 114, 563}, {115, 116, 274}, {117, 117, 564}, {118, 65500, -46}, },
            {{36, 100, -37}, {101, 101, 565}, {102, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 103, 274}, {104, 104, 566}, {105, 115, 274}, {116, 116, 567}, {117, 117, 568}, {118, 118, 274}, {119, 119, 569}, {120, 120, 274}, {121, 121, 570}, {122, 65500, -37}, },
            {{36, 103, -49}, {104, 104, 571}, {105, 113, 274}, {114, 114, 572}, {115, 122, 274}, {170, 65500, -10}, },
            {{36, 110, -42}, {111, 111, 573}, {112, 65500, -38}, },
            {{36, 103, -49}, {104, 104, 574}, {105, 122, 274}, {170, 65500, -10}, },
            {},
            {{61, 61, 575}, {124, 124, 576}, },
            {},
            {},
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{9, 32, -2}, },
            {},
            {{0, 65535, -9}, },
            {},
            {{34, 34, 577}, {39, 39, 578}, {48, 51, 579}, {52, 55, 580}, {92, 92, 581}, {98, 98, 582}, {102, 102, 583}, {110, 110, 584}, {114, 114, 585}, {116, 116, 586}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {},
            {},
            {},
            {{39, 39, 587}, },
            {{34, 34, 588}, {39, 39, 589}, {48, 51, 590}, {52, 55, 591}, {92, 92, 592}, {98, 98, 593}, {102, 102, 594}, {110, 110, 595}, {114, 114, 596}, {116, 116, 597}, },
            {},
            {},
            {},
            {},
            {},
            {{46, 46, 598}, },
            {{48, 57, 511}, {68, 68, 599}, {69, 69, 600}, {70, 70, 601}, {100, 100, 602}, {101, 101, 603}, {102, 102, 604}, },
            {{0, 9, 605}, {10, 10, 606}, {11, 12, 605}, {13, 13, 607}, {14, 41, 605}, {42, 42, 608}, {43, 65535, 605}, },
            {{0, 9, 609}, {10, 10, 610}, {11, 12, 609}, {13, 13, 611}, {14, 63, 609}, {64, 64, 612}, {65, 65535, 609}, },
            {},
            {{48, 57, 613}, {68, 68, 614}, {69, 69, 615}, {70, 70, 616}, {100, 100, 617}, {101, 101, 618}, {102, 102, 619}, },
            {{46, 70, -22}, {76, 76, 620}, {100, 102, -22}, {108, 108, 621}, },
            {{46, 46, 515}, {48, 57, 517}, {68, 70, -22}, {100, 102, -22}, },
            {},
            {{43, 43, 622}, {45, 45, 623}, {48, 57, 624}, },
            {},
            {},
            {{48, 57, 625}, {65, 70, 626}, {97, 102, 627}, },
            {},
            {{43, 57, -521}, },
            {},
            {},
            {{48, 102, -524}, },
            {{46, 108, -23}, },
            {{61, 61, 628}, },
            {},
            {},
            {},
            {{61, 61, 629}, {62, 62, 630}, },
            {},
            {{36, 95, -10}, {97, 114, 274}, {115, 115, 631}, {116, 65500, -36}, },
            {{36, 114, -537}, {115, 115, 632}, {116, 65500, -36}, },
            {{36, 95, -10}, {97, 102, 274}, {103, 103, 633}, {104, 122, 274}, {170, 65500, -10}, },
            {{36, 110, -42}, {111, 111, 634}, {112, 65500, -38}, },
            {{36, 100, -37}, {101, 101, 635}, {102, 65500, -48}, },
            {{36, 95, -10}, {97, 115, 274}, {116, 116, 636}, {117, 122, 274}, {170, 65500, -10}, },
            {{36, 114, -537}, {115, 115, 637}, {116, 116, 638}, {117, 65500, -542}, },
            {{36, 95, -10}, {97, 97, 639}, {98, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 640}, {98, 65500, -544}, },
            {{36, 95, -10}, {97, 109, 274}, {110, 110, 641}, {111, 65500, -44}, },
            {{36, 101, -44}, {102, 102, 642}, {103, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 116, 274}, {117, 117, 643}, {118, 65500, -46}, },
            {{36, 114, -537}, {115, 115, 644}, {116, 65500, -36}, },
            {{36, 95, -10}, {97, 99, 274}, {100, 100, 645}, {101, 116, 274}, {117, 117, 646}, {118, 65500, -46}, },
            {{36, 115, -542}, {116, 116, 647}, {117, 65500, -542}, },
            {{36, 107, -40}, {108, 108, 648}, {109, 122, 274}, {170, 65500, -10}, },
            {{36, 109, -546}, {110, 110, 649}, {111, 65500, -44}, },
            {{36, 110, -42}, {111, 111, 650}, {112, 65500, -38}, },
            {{36, 95, -10}, {97, 113, 274}, {114, 114, 651}, {115, 65500, -50}, },
            {{36, 115, -542}, {116, 116, 652}, {117, 65500, -542}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 111, 274}, {112, 112, 653}, {113, 122, 274}, {170, 65500, -10}, },
            {{36, 114, -537}, {115, 115, 654}, {116, 116, 655}, {117, 65500, -542}, },
            {{36, 109, -546}, {110, 110, 656}, {111, 65500, -44}, },
            {{36, 115, -542}, {116, 116, 657}, {117, 65500, -542}, },
            {{36, 95, -10}, {97, 118, 274}, {119, 119, 658}, {120, 122, 274}, {170, 65500, -10}, },
            {{36, 107, -40}, {108, 108, 659}, {109, 65500, -552}, },
            {{36, 95, -10}, {97, 98, 274}, {99, 99, 660}, {100, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 104, 274}, {105, 105, 661}, {106, 110, 274}, {111, 111, 662}, {112, 65500, -38}, },
            {{36, 97, -36}, {98, 98, 663}, {99, 122, 274}, {170, 65500, -10}, },
            {{36, 115, -542}, {116, 116, 664}, {117, 65500, -542}, },
            {{36, 110, -42}, {111, 111, 665}, {112, 65500, -38}, },
            {{36, 95, -10}, {97, 97, 666}, {98, 113, 274}, {114, 114, 667}, {115, 65500, -50}, },
            {{36, 111, -558}, {112, 112, 668}, {113, 65500, -558}, },
            {{36, 104, -565}, {105, 105, 669}, {106, 122, 274}, {170, 65500, -10}, },
            {{36, 109, -546}, {110, 110, 670}, {111, 65500, -44}, },
            {{36, 104, -565}, {105, 105, 671}, {106, 113, 274}, {114, 114, 672}, {115, 65500, -50}, },
            {{36, 95, -10}, {97, 97, 673}, {98, 116, 274}, {117, 117, 674}, {118, 120, 274}, {121, 121, 675}, {122, 65500, -37}, },
            {{36, 104, -565}, {105, 105, 676}, {106, 107, 274}, {108, 108, 677}, {109, 65500, -552}, },
            {{36, 104, -565}, {105, 105, 678}, {106, 65500, -571}, },
            {},
            {},
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 34, -9}, {35, 47, 267}, {48, 55, 679}, {56, 91, 267}, {92, 65535, -9}, },
            {{0, 47, -581}, {48, 55, 680}, {56, 65535, -581}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {{0, 65535, -9}, },
            {},
            {{39, 39, 587}, },
            {{39, 39, 587}, },
            {{39, 39, 587}, {48, 55, 681}, },
            {{39, 39, 587}, {48, 55, 682}, },
            {{39, 39, 587}, },
            {{39, 39, 587}, },
            {{39, 39, 587}, },
            {{39, 39, 587}, },
            {{39, 39, 587}, },
            {{39, 39, 587}, },
            {},
            {},
            {{43, 43, 683}, {45, 45, 684}, {48, 57, 685}, },
            {},
            {},
            {{43, 57, -602}, },
            {},
            {{0, 41, -514}, {42, 42, 686}, {43, 65535, 605}, },
            {{0, 65535, -607}, },
            {{0, 9, 605}, {10, 10, 687}, {11, 65535, -607}, },
            {{0, 9, 688}, {10, 10, 689}, {11, 12, 688}, {13, 13, 690}, {14, 41, 688}, {42, 42, 691}, {43, 46, 688}, {47, 47, 692}, {48, 65535, 688}, },
            {{0, 63, -515}, {65, 65535, 609}, },
            {},
            {{10, 10, 693}, },
            {},
            {{48, 102, -517}, },
            {},
            {{43, 43, 694}, {45, 45, 695}, {48, 57, 696}, },
            {},
            {},
            {{43, 57, -617}, },
            {},
            {},
            {},
            {{48, 57, 624}, },
            {{48, 57, 624}, },
            {{48, 57, 624}, {68, 68, 697}, {70, 70, 698}, {100, 100, 699}, {102, 102, 700}, },
            {{48, 70, -524}, {76, 76, 701}, {97, 102, 627}, {108, 108, 702}, },
            {{48, 108, -627}, },
            {{48, 108, -627}, },
            {},
            {},
            {{61, 61, 703}, },
            {{36, 115, -542}, {116, 116, 704}, {117, 65500, -542}, },
            {{36, 100, -37}, {101, 101, 705}, {102, 65500, -48}, },
            {{36, 104, -565}, {105, 105, 706}, {106, 65500, -571}, },
            {{36, 107, -40}, {108, 108, 707}, {109, 65500, -552}, },
            {{36, 95, -10}, {97, 97, 708}, {98, 65500, -544}, },
            {{36, 100, -37}, {101, 101, 709}, {102, 65500, -48}, },
            {{36, 100, -37}, {101, 101, 710}, {102, 65500, -48}, },
            {{36, 98, -564}, {99, 99, 711}, {100, 65500, -564}, },
            {{36, 113, -555}, {114, 114, 712}, {115, 65500, -50}, },
            {{36, 114, -537}, {115, 115, 713}, {116, 65500, -36}, },
            {{36, 114, -537}, {115, 115, 714}, {116, 116, 715}, {117, 65500, -542}, },
            {{36, 95, -10}, {97, 97, 716}, {98, 65500, -544}, },
            {{36, 97, -36}, {98, 98, 717}, {99, 65500, -566}, },
            {{36, 100, -37}, {101, 101, 718}, {102, 65500, -48}, },
            {{10, 10, 719}, {13, 13, 720}, {36, 65500, -10}, },
            {{36, 95, -10}, {97, 108, 274}, {109, 109, 721}, {110, 122, 274}, {170, 65500, -10}, },
            {{36, 100, -37}, {101, 101, 722}, {102, 65500, -48}, },
            {{36, 114, -537}, {115, 115, 723}, {116, 65500, -36}, },
            {{36, 95, -10}, {97, 97, 724}, {98, 65500, -544}, },
            {{36, 95, -10}, {97, 97, 725}, {98, 65500, -544}, },
            {{36, 65500, -10}, },
            {{36, 110, -42}, {111, 111, 726}, {112, 65500, -38}, },
            {{36, 107, -40}, {108, 108, 727}, {109, 110, 274}, {111, 111, 728}, {112, 65500, -38}, },
            {{36, 115, -542}, {116, 116, 729}, {117, 65500, -542}, },
            {{36, 100, -37}, {101, 101, 730}, {102, 65500, -48}, },
            {{36, 102, -539}, {103, 103, 731}, {104, 65500, -539}, },
            {{36, 104, -565}, {105, 105, 732}, {106, 65500, -571}, },
            {{36, 65500, -10}, },
            {{36, 107, -40}, {108, 108, 733}, {109, 65500, -552}, },
            {{36, 95, -10}, {97, 106, 274}, {107, 107, 734}, {108, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 117, 274}, {118, 118, 735}, {119, 122, 274}, {170, 65500, -10}, },
            {{36, 115, -542}, {116, 116, 736}, {117, 65500, -542}, },
            {{36, 107, -40}, {108, 108, 737}, {109, 65500, -552}, },
            {{36, 116, -548}, {117, 117, 738}, {118, 65500, -46}, },
            {{36, 113, -555}, {114, 114, 739}, {115, 65500, -50}, },
            {{36, 115, -542}, {116, 116, 740}, {117, 65500, -542}, },
            {{36, 104, -565}, {105, 105, 741}, {106, 65500, -571}, },
            {{36, 100, -37}, {101, 101, 742}, {102, 65500, -48}, },
            {{36, 115, -542}, {116, 116, 743}, {117, 65500, -542}, },
            {{36, 98, -564}, {99, 99, 744}, {100, 65500, -564}, },
            {{36, 114, -537}, {115, 115, 745}, {116, 65500, -36}, },
            {{36, 110, -42}, {111, 111, 746}, {112, 65500, -38}, },
            {{36, 109, -546}, {110, 110, 747}, {111, 65500, -44}, },
            {{36, 100, -37}, {101, 101, 748}, {102, 65500, -48}, },
            {{36, 65500, -10}, },
            {{36, 99, -550}, {100, 100, 749}, {101, 122, 274}, {170, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 750}, {98, 65500, -544}, },
            {{36, 107, -40}, {108, 108, 751}, {109, 65500, -552}, },
            {{0, 47, -581}, {48, 55, 752}, {56, 65535, -581}, },
            {{0, 65535, -9}, },
            {{39, 39, 587}, {48, 55, 753}, },
            {{39, 39, 587}, },
            {{48, 57, 685}, },
            {{48, 57, 685}, },
            {{48, 57, 685}, {68, 68, 599}, {70, 100, -513}, {102, 102, 604}, },
            {{0, 9, 754}, {10, 10, 755}, {11, 12, 754}, {13, 13, 756}, {14, 41, 754}, {42, 42, 686}, {43, 46, 754}, {47, 47, 757}, {48, 65535, 754}, },
            {{0, 65535, -607}, },
            {{0, 9, 758}, {10, 10, 759}, {11, 12, 758}, {13, 13, 760}, {14, 41, 758}, {42, 42, 761}, {43, 65535, 758}, },
            {{0, 65535, -690}, },
            {{0, 9, 758}, {10, 10, 762}, {11, 65535, -690}, },
            {{0, 65535, -610}, },
            {},
            {},
            {{48, 57, 696}, },
            {{48, 57, 696}, },
            {{48, 57, 696}, {68, 68, 614}, {70, 100, -517}, {102, 102, 619}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {{36, 113, -555}, {114, 114, 763}, {115, 65500, -50}, },
            {{36, 113, -555}, {114, 114, 764}, {115, 65500, -50}, },
            {{36, 109, -546}, {110, 110, 765}, {111, 65500, -44}, },
            {{36, 100, -37}, {101, 101, 766}, {102, 65500, -48}, },
            {{36, 106, -662}, {107, 107, 767}, {108, 65500, -662}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 103, -49}, {104, 104, 768}, {105, 65500, -52}, },
            {{36, 65500, -10}, },
            {{36, 114, -537}, {115, 115, 769}, {116, 65500, -36}, },
            {{36, 115, -542}, {116, 116, 770}, {117, 65500, -542}, },
            {{36, 104, -565}, {105, 105, 771}, {106, 65500, -571}, },
            {{36, 116, -548}, {117, 117, 772}, {118, 65500, -46}, },
            {{36, 107, -40}, {108, 108, 773}, {109, 65500, -552}, },
            {{36, 65500, -10}, },
            {},
            {{10, 10, 774}, },
            {{36, 65500, -10}, },
            {{36, 109, -546}, {110, 110, 775}, {111, 65500, -44}, },
            {{36, 100, -37}, {101, 101, 776}, {102, 65500, -48}, },
            {{36, 107, -40}, {108, 108, 777}, {109, 65500, -552}, },
            {{36, 115, -542}, {116, 116, 778}, {117, 65500, -542}, },
            {{36, 65500, -10}, },
            {{36, 100, -37}, {101, 101, 779}, {102, 65500, -48}, },
            {{36, 113, -555}, {114, 114, 780}, {115, 65500, -50}, },
            {{36, 95, -10}, {97, 97, 781}, {98, 65500, -544}, },
            {{36, 113, -555}, {114, 114, 782}, {115, 65500, -50}, },
            {{36, 65500, -10}, },
            {{36, 117, -663}, {118, 118, 783}, {119, 65500, -663}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 784}, {98, 65500, -544}, },
            {{36, 95, -10}, {97, 97, 785}, {98, 65500, -544}, },
            {{36, 100, -37}, {101, 101, 786}, {102, 65500, -48}, },
            {{36, 104, -565}, {105, 105, 787}, {106, 65500, -571}, },
            {{36, 113, -555}, {114, 114, 788}, {115, 65500, -50}, },
            {{36, 115, -542}, {116, 116, 789}, {117, 65500, -542}, },
            {{36, 104, -565}, {105, 105, 790}, {106, 65500, -571}, },
            {{36, 98, -564}, {99, 99, 791}, {100, 65500, -564}, },
            {{36, 113, -555}, {114, 114, 792}, {115, 65500, -50}, },
            {{36, 98, -564}, {99, 99, 793}, {100, 65500, -564}, },
            {{36, 103, -49}, {104, 104, 794}, {105, 65500, -52}, },
            {{36, 65500, -10}, },
            {{36, 118, -562}, {119, 119, 795}, {120, 65500, -562}, },
            {{36, 114, -537}, {115, 115, 796}, {116, 65500, -36}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 115, -542}, {116, 116, 797}, {117, 65500, -542}, },
            {{36, 100, -37}, {101, 101, 798}, {102, 65500, -48}, },
            {{0, 65535, -9}, },
            {{39, 39, 587}, },
            {{0, 9, 799}, {10, 10, 800}, {11, 12, 799}, {13, 13, 801}, {14, 41, 799}, {42, 42, 802}, {43, 65535, 799}, },
            {{0, 65535, -756}, },
            {{0, 9, 799}, {10, 10, 803}, {11, 65535, -756}, },
            {},
            {{0, 65535, -690}, },
            {{0, 65535, -690}, },
            {{0, 9, 758}, {10, 10, 804}, {11, 65535, -690}, },
            {{0, 41, -610}, {42, 42, 761}, {43, 65535, -610}, },
            {{0, 65535, -690}, },
            {{36, 95, -10}, {97, 97, 805}, {98, 65500, -544}, },
            {{36, 115, -542}, {116, 116, 806}, {117, 65500, -542}, },
            {{36, 57, -10}, {64, 64, 807}, {65, 65500, -10}, },
            {{36, 95, -10}, {97, 97, 808}, {98, 65500, -544}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 109, -546}, {110, 110, 809}, {111, 65500, -44}, },
            {{36, 107, -40}, {108, 108, 810}, {109, 65500, -552}, },
            {{36, 100, -37}, {101, 101, 811}, {102, 65500, -48}, },
            {},
            {{36, 99, -550}, {100, 100, 812}, {101, 65500, -678}, },
            {{36, 65500, -10}, },
            {{36, 107, -40}, {108, 108, 813}, {109, 65500, -552}, },
            {{36, 65500, -10}, },
            {{36, 108, -648}, {109, 109, 814}, {110, 65500, -648}, },
            {{36, 115, -542}, {116, 116, 815}, {117, 65500, -542}, },
            {{36, 109, -546}, {110, 110, 816}, {111, 65500, -44}, },
            {{36, 101, -44}, {102, 102, 817}, {103, 65500, -547}, },
            {{36, 100, -37}, {101, 101, 818}, {102, 65500, -48}, },
            {{36, 102, -539}, {103, 103, 819}, {104, 65500, -539}, },
            {{36, 115, -542}, {116, 116, 820}, {117, 65500, -542}, },
            {{36, 98, -564}, {99, 99, 821}, {100, 65500, -564}, },
            {{36, 98, -564}, {99, 99, 822}, {100, 65500, -564}, },
            {{36, 109, -546}, {110, 110, 823}, {111, 65500, -44}, },
            {{36, 65500, -10}, },
            {{36, 98, -564}, {99, 99, 824}, {100, 65500, -564}, },
            {{36, 115, -542}, {116, 116, 825}, {117, 65500, -542}, },
            {{36, 65500, -10}, },
            {{36, 103, -49}, {104, 104, 826}, {105, 65500, -52}, },
            {{36, 113, -555}, {114, 114, 827}, {115, 65500, -50}, },
            {{36, 114, -537}, {115, 115, 828}, {116, 65500, -36}, },
            {{36, 104, -565}, {105, 105, 829}, {106, 65500, -571}, },
            {{36, 104, -565}, {105, 105, 830}, {106, 65500, -571}, },
            {{36, 65500, -10}, },
            {{0, 65535, -756}, },
            {{0, 65535, -756}, },
            {{0, 9, 799}, {10, 10, 831}, {11, 65535, -756}, },
            {{0, 41, -688}, {42, 42, 802}, {43, 65535, -688}, },
            {{0, 65535, -756}, },
            {{0, 65535, -690}, },
            {{36, 98, -564}, {99, 99, 832}, {100, 65500, -564}, },
            {{36, 65500, -10}, },
            {{0, 9, 833}, {10, 10, 834}, {11, 12, 833}, {13, 13, 835}, {14, 65535, 833}, },
            {{36, 109, -546}, {110, 110, 836}, {111, 65500, -44}, },
            {{36, 116, -548}, {117, 117, 837}, {118, 65500, -46}, },
            {{36, 115, -542}, {116, 116, 838}, {117, 65500, -542}, },
            {{36, 65500, -10}, },
            {{36, 114, -537}, {115, 115, 839}, {116, 65500, -36}, },
            {{36, 95, -10}, {97, 120, 274}, {121, 121, 840}, {122, 65500, -37}, },
            {{36, 100, -37}, {101, 101, 841}, {102, 65500, -48}, },
            {{36, 65500, -10}, },
            {{36, 98, -564}, {99, 99, 842}, {100, 65500, -564}, },
            {{36, 95, -10}, {97, 97, 843}, {98, 65500, -544}, },
            {{36, 65500, -10}, },
            {{36, 100, -37}, {101, 101, 844}, {102, 65500, -48}, },
            {{36, 100, -37}, {101, 101, 845}, {102, 65500, -48}, },
            {{36, 115, -542}, {116, 116, 846}, {117, 65500, -542}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 101, -44}, {102, 102, 847}, {103, 65500, -547}, },
            {{36, 65500, -10}, },
            {{36, 110, -42}, {111, 111, 848}, {112, 65500, -38}, },
            {{36, 65500, -10}, },
            {{36, 100, -37}, {101, 101, 849}, {102, 65500, -48}, },
            {{36, 107, -40}, {108, 108, 850}, {109, 65500, -552}, },
            {{0, 65535, -756}, },
            {{36, 115, -542}, {116, 116, 851}, {117, 65500, -542}, },
            {{0, 65535, -809}, },
            {},
            {{10, 10, 852}, },
            {{36, 65500, -10}, },
            {{36, 100, -37}, {101, 101, 853}, {102, 65500, -48}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 109, -546}, {110, 110, 854}, {111, 65500, -44}, },
            {{36, 100, -37}, {101, 101, 855}, {102, 65500, -48}, },
            {{36, 98, -564}, {99, 99, 856}, {100, 65500, -564}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 100, -37}, {101, 101, 857}, {102, 65500, -48}, },
            {{36, 111, -558}, {112, 112, 858}, {113, 65500, -558}, },
            {{36, 109, -546}, {110, 110, 859}, {111, 65500, -44}, },
            {{36, 109, -546}, {110, 110, 860}, {111, 65500, -44}, },
            {{36, 100, -37}, {101, 101, 861}, {102, 65500, -48}, },
            {{36, 65500, -10}, },
            {},
            {{36, 65500, -10}, },
            {{36, 115, -542}, {116, 116, 862}, {117, 65500, -542}, },
            {{36, 110, -42}, {111, 111, 863}, {112, 65500, -38}, },
            {{36, 100, -37}, {101, 101, 864}, {102, 65500, -48}, },
            {{36, 99, -550}, {100, 100, 865}, {101, 65500, -678}, },
            {{36, 65500, -10}, },
            {{36, 104, -565}, {105, 105, 866}, {106, 65500, -571}, },
            {{36, 115, -542}, {116, 116, 867}, {117, 65500, -542}, },
            {{36, 65500, -10}, },
            {{36, 114, -537}, {115, 115, 868}, {116, 65500, -36}, },
            {{36, 101, -44}, {102, 102, 869}, {103, 65500, -547}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 95, -10}, {97, 121, 274}, {122, 122, 870}, {170, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 65500, -10}, },
            {{36, 100, -37}, {101, 101, 871}, {102, 65500, -48}, },
            {{36, 99, -550}, {100, 100, 872}, {101, 65500, -678}, },
            {{36, 65500, -10}, },
        }
    };*/

    private static int[][] accept;
/*  {
        // INITIAL
        {106, 106, 106, 106, 106, 106, 21, -1, 105, 31, 11, -1, 6, 9, 43, 33, 1, 27, 2, 41, 102, 102, 20, 10, 25, 14, 23, 36, 0, 105, 4, 7, 18, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 5, 15, 8, 45, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 106, 30, -1, 104, -1, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 32, 12, 13, -1, -1, 44, 35, 34, 29, 28, -1, 101, -1, 109, 42, 101, 102, -1, 101, -1, 101, 102, -1, 101, -1, 101, 102, -1, 102, 37, 26, 22, 24, 39, 19, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 60, 105, 105, 105, 105, 105, 105, 105, 105, 71, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 16, 17, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 100, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 3, 101, -1, 101, 101, -1, 101, -1, -1, -1, -1, 109, 109, 109, 112, 101, 101, -1, 101, 101, -1, 101, 102, 102, -1, -1, 101, 102, 102, 102, 38, 40, 46, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 69, 105, 105, 105, 75, 105, 105, 79, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 96, 105, 105, 105, -1, -1, -1, -1, -1, -1, 101, -1, -1, -1, -1, -1, -1, 108, 109, -1, -1, 101, 101, 101, 101, 101, 102, 102, 47, 105, 105, 105, 105, 105, 52, 53, 105, 55, 105, 105, 105, 105, 105, 62, 111, 111, 63, 105, 105, 105, 105, 70, 105, 105, 105, 105, 77, 105, 103, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 91, 105, 105, 95, 97, 105, 105, -1, -1, -1, -1, -1, 107, -1, -1, -1, -1, -1, 105, 105, 105, 105, 51, 54, 56, 57, 105, 105, 105, 111, 105, 65, 66, 68, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 85, 105, 105, 88, 105, 105, 92, 105, 105, 99, -1, -1, -1, -1, -1, -1, 105, 49, 110, 105, 105, 105, 61, 105, 105, 105, 73, 105, 105, 78, 105, 105, 105, 83, 84, 86, 105, 89, 105, 93, 105, 105, -1, 105, 110, 110, 110, 50, 105, 59, 64, 67, 105, 105, 105, 80, 81, 105, 105, 105, 105, 105, 48, 110, 58, 105, 105, 105, 105, 87, 105, 105, 98, 105, 105, 76, 82, 105, 94, 72, 74, 105, 105, 90, },

    };*/

    public static class State
    {
        public final static State INITIAL = new State(0);

        private int id;

        private State(@SuppressWarnings("hiding") int id)
        {
            this.id = id;
        }

        public int id()
        {
            return this.id;
        }
    }

    static 
    {
        try
        {
            DataInputStream s = new DataInputStream(
                new BufferedInputStream(
                Lexer.class.getResourceAsStream("lexer.dat")));

            // read gotoTable
            int length = s.readInt();
            gotoTable = new int[length][][][];
            for(int i = 0; i < gotoTable.length; i++)
            {
                length = s.readInt();
                gotoTable[i] = new int[length][][];
                for(int j = 0; j < gotoTable[i].length; j++)
                {
                    length = s.readInt();
                    gotoTable[i][j] = new int[length][3];
                    for(int k = 0; k < gotoTable[i][j].length; k++)
                    {
                        for(int l = 0; l < 3; l++)
                        {
                            gotoTable[i][j][k][l] = s.readInt();
                        }
                    }
                }
            }

            // read accept
            length = s.readInt();
            accept = new int[length][];
            for(int i = 0; i < accept.length; i++)
            {
                length = s.readInt();
                accept[i] = new int[length];
                for(int j = 0; j < accept[i].length; j++)
                {
                    accept[i][j] = s.readInt();
                }
            }

            s.close();
        }
        catch(Exception e)
        {
            throw new RuntimeException("The file \"lexer.dat\" is either missing or corrupted.");
        }
    }
}
