package test;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.Writer;

import org.amse.ak.schemebuilder.builder.SchemeBuilder;
import org.amse.ak.schemebuilder.builder.SchemeBuilderException;
import org.amse.ak.schemebuilder.model.*;
import org.amse.ak.schemebuilder.model.impl.Method;

public class TestWriter {

    public static void main(String[] args) {
        //  
        SchemeBuilder builder = new SchemeBuilder(new Method("TestClass.java", "doNothing ( ) "));
        IScheme scheme = null;
        try {
            scheme = builder.build();
        } catch (SchemeBuilderException e) {
            System.out.println(e.getMessage());
        }
        /*IScheme scheme = new Scheme(new Method(null, "int test(int a, int b)", null));
        IBlockFactory factory = new BlockFactory();
        IBlock b = factory.createActionBlock("a = a + 1");
        scheme.getBeginBlock().setNext(b);
        IIfBlock ifb = factory.createIfBlock("a > b");
        b.setNext(ifb);
        IIfBlock ifb2 = factory.createIfBlock("a > 2 * b");
        ifb.setYesBlock(ifb2);
        ifb2.setYesBlock(factory.createActionBlock("a = a - 2 * b"));
        IForBlock forb = factory.createForBlock("int i = 0; i < a; ++i");
        ifb2.setNoBlock(forb);
        IForBlock forb2 = factory.createForBlock("int j = 0; j < b; ++j");
        forb.setFirstBlock(forb2);
        forb2.setFirstBlock(factory.createActionBlock("b = b + 1"));
        forb2.setNext(factory.createActionBlock("b = b / 2"));
        ifb2.setNext(factory.createActionBlock("a = a * a"));
        ifb.setNoBlock(factory.createActionBlock("a = b - a"));
        b = factory.createActionBlock("b = b + 1");
        ifb.setNext(b);
        b.setNext(factory.createEndBlock("return 0"));*/

        //    
        final StringBuffer sb = new StringBuffer();
        scheme.getBeginBlock().apply(new ISchemeVisitor() {

            private int myIndent = 0;

            void indent() {
                for (int i = 0; i < myIndent; ++i) {
                    sb.append("  ");
                }
            }

            public void caseActionBlock(IActionBlock actionBlock) {
                if (actionBlock != null) {
                    indent();
                    sb.append(actionBlock.toString());
                    sb.append("\n");
                    if (actionBlock.getNext() != null) {
                        actionBlock.getNext().apply(this);
                    }
                }
            }

            public void caseBeginBlock(IBeginBlock beginBlock) {
                if (beginBlock != null) {
                    indent();
                    sb.append(beginBlock.toString());
                    sb.append("\n");
                    if (beginBlock.getNext() != null) {
                        myIndent++;
                        beginBlock.getNext().apply(this);
                        myIndent--;
                    }
                }
            }

            public void caseDoBlock(IDoBlock doWhileBlock) {
                if (doWhileBlock != null) {
                    indent();
                    sb.append("{\n");
                    if (doWhileBlock.getFirstBlock() != null) {
                        myIndent++;
                        doWhileBlock.getFirstBlock().apply(this);
                        myIndent--;
                    }
                    indent();
                    sb.append("} ");
                    sb.append(doWhileBlock.toString());
                    if (doWhileBlock.getNext() != null) {
                        doWhileBlock.getNext().apply(this);
                    }
                }
            }
            
            public void caseEndBlock(IEndBlock endBlock) {
                if (endBlock != null) {
                    indent();
                    sb.append(endBlock.toString());
                    sb.append("\n");
                }
            }

            public void caseForBlock(IForBlock forBlock) {
                if (forBlock != null) {
                    indent();
                    sb.append(forBlock.toString());
                    sb.append(" {\n");
                    if (forBlock.getFirstBlock() != null) {
                        myIndent++;
                        forBlock.getFirstBlock().apply(this);
                        myIndent--;
                    }
                    indent();
                    sb.append("}\n");
                    if (forBlock.getNext() != null) {
                        forBlock.getNext().apply(this);
                    }
                }
            }

            public void caseIfBlock(IIfBlock ifBlock) {
                if (ifBlock != null) {
                    indent();
                    sb.append(ifBlock.toString());
                    sb.append(" {\n");
                    if (ifBlock.getYesBlock() != null) {
                        myIndent++;
                        ifBlock.getYesBlock().apply(this);
                        myIndent--;
                    }
                    indent();
                    sb.append("} else {\n");
                    if (ifBlock.getNoBlock() != null) {
                        myIndent++;
                        ifBlock.getNoBlock().apply(this);
                        myIndent--;
                    }
                    indent();
                    sb.append("}\n");
                    if (ifBlock.getNext() != null) {
                        ifBlock.getNext().apply(this);
                    }
                }
            }
            
            public void caseInvocationBlock(IInvocationBlock invocationBlock) {
                if (invocationBlock != null) {
                    indent();
                    sb.append(invocationBlock.toString());
                    sb.append("\n");
                    if (invocationBlock.getNext() != null) {
                        invocationBlock.getNext().apply(this);
                    }
                }
            }

            public void caseSwitchBlock(ISwitchBlock switchBlock) {
                if (switchBlock != null) {
                    indent();
                    sb.append(switchBlock.toString());
                    sb.append("\n");
                    if (switchBlock.getNext() != null) {
                        switchBlock.getNext().apply(this);
                    }
                }
            }
            
            public void caseTryBlock(ITryBlock tryBlock) {
                if (tryBlock != null) {
                    indent();
                    sb.append(tryBlock.toString());
                    sb.append("\n");
                    if (tryBlock.getNext() != null) {
                        tryBlock.getNext().apply(this);
                    }
                }
            }
            
            public void caseWhileBlock(IWhileBlock whileBlock) {
                if (whileBlock != null) {
                    indent();
                    sb.append(whileBlock.toString());
                    sb.append(" {\n");
                    if (whileBlock.getFirstBlock() != null) {
                        myIndent++;
                        whileBlock.getFirstBlock().apply(this);
                        myIndent--;
                    }
                    indent();
                    sb.append("}\n");
                    if (whileBlock.getNext() != null) {
                        whileBlock.getNext().apply(this);
                    }
                }
            }
            
        });
        Writer writer;
        try {
            String testFileName = "test" + File.separator +
                                  "scheme.txt";
            writer = new BufferedWriter(new FileWriter(testFileName));
        } catch (IOException e) {
            e.printStackTrace();
            return;
        }
        try {
            try {
                writer.write(sb.toString());
            } finally {
                writer.close();
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

}
